Loading...
Searching...
No Matches
pp-l16.c File Reference
Tools and utilities » Recordings post-processing utility

Post-processing to generate .wav files out of L16 frames (headers). More...

`#include <arpa/inet.h>`
`#include <endian.h>`
`#include <inttypes.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "pp-l16.h"`
`#include "../debug.h"`
Include dependency graph for pp-l16.c:

## Data Structures

struct | janus_pp_l16_wav

## Typedefs

typedef struct janus_pp_l16_wav | janus_pp_l16_wav

## Functions

const char ** | janus_pp_l16_get_extensions (void)
int | janus_pp_l16_create (char *destination, int rate, char *metadata)
int | janus_pp_l16_process (FILE *file, janus_pp_frame_packet *list, int *working)
void | janus_pp_l16_close (void)

## Detailed Description

Post-processing to generate .wav files out of L16 frames (headers).

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

Implementation of the post-processing code needed to generate raw .wav files out of L16 RTP frames.

Recordings post-processing utility

## Typedef Documentation

## janus_pp_l16_wav

typedef struct janus_pp_l16_wav janus_pp_l16_wav

## Function Documentation

## janus_pp_l16_close()

void janus_pp_l16_close | ( | void |  | ) |

## janus_pp_l16_create()

int janus_pp_l16_create | ( | char * | destination,
|  | int | rate,
|  | char * | metadata )

## janus_pp_l16_get_extensions()

const char ** janus_pp_l16_get_extensions | ( | void |  | ) |

## janus_pp_l16_process()

int janus_pp_l16_process | ( | FILE * | file,
|  | janus_pp_frame_packet * | list,
|  | int * | working )